@import url('https://fonts.googleapis.com/css2?family=Arvo:ital,wght@0,400;0,700;1,400;1,700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Merriweather:ital,wght@0,300;0,400;0,700;0,900;1,300;1,400;1,700;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Playfair+Display:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/* CSS Reset: Start */
* {
    margin: 0;
    padding: 0;
    border: 0;    
    box-sizing: border-box;
}

html, body {
    scroll-behavior: smooth;
    cursor: auto, default;
}

body {
    font-family: 'Lato', sans-serif;
    background-color: #f0f0f0 !important;
}

textarea:focus, input:focus, button:focus, button:active, a:focus, *:focus, .btn:focus, .form-control:focus, .navbar-toggler:active, .navbar-toggler:hover {
	box-shadow: none !important;
	outline: none !important;
}

input:focus::placeholder { color: transparent; }
input:focus::-webkit-input-placeholder { color:transparent; }
input:focus:-moz-placeholder { color:transparent; }
input:focus::-moz-placeholder { color:transparent; }
input:focus:-ms-input-placeholder { color:transparent; }

a, button {
    text-decoration: none;
	cursor: pointer;
}

img {
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-o-user-select: none;
	user-select: none;
	-webkit-user-drag: none;
	-khtml-user-drag: none;
	-moz-user-drag: none;
	-o-user-drag: none;
	pointer-events: none;
}

.w-10 {
    width: 10% !important;
}

.w-40 {
    width: 40% !important;
}

.badge.field-required {
    top: .5em;
    right: -1.5em;
    position: absolute;
    line-height: 0;
}

.title {
    font-family: 'Merriweather', serif;
    font-weight: 600;
}

.subtitle {
    font-family: 'Playfair Display', serif;
    font-style: italic;
}

.bg-accent-1, .btn-accent-1 {
    background-color: #ffecd4 !important;
    color: #000000 !important;
}

.bg-accent-2, .btn-accent-2 {
    background-color: #d07c2c !important;
    color: #ffffff !important;
}

.border-accent, .btn-outline-accent {
    border-color: #d07c2c !important;
    color: #d07c2c !important;
    font-weight: 600 !important;
}

.btn-outline-accent:hover {
    background-color: #d07c2c !important;
    color: #ffffff !important;
}

.border-accent:focus, .btn-outline-accent:focus {
    border-color: #ff9a3b !important;
    color: #ff9a3b !important;
}

.card-img-top {
    height: 150px !important;
    object-fit: cover;
}
/* CSS Reset: End */


/* Navbar Start */
.navbar.bg-accent-1 {
    border-bottom: 2px solid #d07c2c;
    max-width: 100vw;
}

.navbar-brand .logo {
    height: 2.5rem;
}

.navbar .navbar-toggler {
    border-color: #d07c2c;
    color: #d07c2c;
}

#prodSearch::-webkit-search-cancel-button {
    display: none;
}

.navbar .input-group {
    overflow: hidden;
    border: 1px solid;
    border-radius: .375rem;
    padding: 0;
    -webkit-border-radius: .375rem;
    -moz-border-radius: .375rem;
    -ms-border-radius: .375rem;
    -o-border-radius: .375rem;
}

.navbar .input-group * {
    font-size: 1rem;
}

.navbar .input-group .clear-search {
    border: 0;
    background-color: #ffffff;
    color: #d07c2c;
    font-weight: 600;
}

.navbar .input-group .clear-search.show {
    display: block;
}

.navbar .input-group .clear-search.hidden {
    display: none;
}

.navbar .input-group .form-control {
    border: 0;
    padding: 0 0.75rem;
    padding-right: 0;
    line-height: 100%;
}

.navbar .input-group .btn {
    border-radius: 0 !important;
    -webkit-border-radius: 0 !important;
    -moz-border-radius: 0 !important;
    -ms-border-radius: 0 !important;
    -o-border-radius: 0 !important;
}

.navbar .input-group .btn-search {
    color: #ffffff;
}

.navbar .nav-link {
    font-weight: 600;
    color: #d07c2c;
}

.nav-link:hover, .nav-link.show {
    color: #ff9a3b !important;
}

.nav-item .nav-link.cart-icon {
    padding: 0;
    margin-right: 1rem;
    font-size: 1.5rem;
}

.nav-link.cart-icon .cart-count {
    position: absolute;
    top: 0.75em;
    right: -1.5em;
    transform: translate(-50%, -50%);
    font-size: 0.65rem;
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    -o-transform: translate(-50%, -50%);
}
/* Navbar End */

/* Admin Navbar: Start */
.adminNavbar {
    box-shadow: 0 2px 4px 0 rgba(0,0,0,.25);
}
/* Admin Navbar: End */